Skip to content

Tasks

All operations require authentication.

14 operationsv1/me/task
Agent setup

List zone tasksProduction

GET
/1.0/me/task/dns

Query parameters

function
TaskFunctionEnum

All functions from a dns task

ValuesDnsAnycastActivateDnsAnycastDeactivateDnssecDisableDnssecEnableDnssecResigningDnssecRollKskDnssecRollZskZoneCheckZoneCreateZoneCutZoneDeleteZoneImportZoneRefreshZoneRestore
status
TaskStatusEnum

All statuses from a dns task

Valuescancelleddoingdoneerrorproblemtodo
zone
string
—

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/task/dns \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a zone taskProduction

GET
/1.0/me/task/dns/{id}

Path parameters

id
required
integer

Id

Response

200Tasksuccessful operation
canAccelerate
read-only
boolean

Can accelerate the task

canCancel
read-only
boolean

Can cancel the task

canRelaunch
read-only
boolean

Can relaunch the task

comment
read-only
string

Comment about the task

creationDate
read-only
stringdate-time

Creation date of the task

doneDate
read-only
stringdate-time

Done date of the task

function
read-only
TaskFunctionEnum

Function of the task

ValuesDnsAnycastActivateDnsAnycastDeactivateDnssecDisableDnssecEnableDnssecResigningDnssecRollKskDnssecRollZskZoneCheckZoneCreateZoneCutZoneDeleteZoneImportZoneRefreshZoneRestore
id
read-only
integer

Id of the task

lastUpdate
read-only
stringdate-time

Last update date of the task

status
read-only
TaskStatusEnum

Status of the task

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Todo date of the task

zone
read-only
string

Zone related to the task

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/task/dns/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "function": "DnsAnycastActivate", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "zone": "string"}

Accelerate the taskProduction

POST
/1.0/me/task/dns/{id}/accelerate

Path parameters

id
required
integer

Id

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/task/dns/{id}/accelerate \
  -H "authorization: Bearer $OVH_TOKEN"

Cancel the taskProduction

POST
/1.0/me/task/dns/{id}/cancel

Path parameters

id
required
integer

Id

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/task/dns/{id}/cancel \
  -H "authorization: Bearer $OVH_TOKEN"

Relaunch the taskProduction

POST
/1.0/me/task/dns/{id}/relaunch

Path parameters

id
required
integer

Id

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/task/dns/{id}/relaunch \
  -H "authorization: Bearer $OVH_TOKEN"

List of domain tasksProduction

GET
/1.0/me/task/domain

Query parameters

domain
string

Filter the value of domain property (like)

function
OperationFunctionEnum

Filter the value of function property (like)

ValuesContactControlContactControlAcknowledgeContactControlCorrectContactControlNotifyDnsAnycastActivateDnsAnycastDeactivateDnssecDisableDnssecEnableDnssecResigningDnssecRollKskDnssecRollZskDomainAfterMarketDomainContactControlDomainContactUpdateDomainControlDomainCreateDomainDeleteDomainDnsUpdateDomainDsUpdateDomainEmailRedirectionsCreateDomainEmailRedirectionsDeleteDomainHoldDomainHostCreateDomainHostDeleteDomainHostUpdateDomainIncomingTransferDomainLockDomainOutgoingTransferDomainRegistryDeleteDomainRenewDomainResourceDeleteDomainRestoreDomainTradeDomainUnholdDomainUnlockZoneImport
status
OperationStatusEnum

Filter the value of status property (=)

Valuescancelleddoingdoneerrorproblemtodo
type
OperationTypeEnum

Filter the value of type property (=)

Valuesalldomdomain

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/task/domain \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/me/task/domain/{id}

Path parameters

id
required
integer

Id

Response

200Tasksuccessful operation
canAccelerate
read-only
boolean

Can accelerate the task

canCancel
read-only
boolean

Can cancel the task

canRelaunch
read-only
boolean

Can relaunch the task

comment
read-only
string

Comment about the task

creationDate
read-only
stringdate-time

Creation date of the task

domain
read-only
string

Domain of the task

doneDate
read-only
stringdate-time

Done date of the task

function
read-only
string

Function of the task

id
read-only
integer

Id of the task

lastUpdate
read-only
stringdate-time

Last update date of the task

status
read-only
OperationStatusEnum

Status of the task

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Todo date of the task

type
read-only
OperationTypeEnum

type of the task

Valuesalldomdomain

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/task/domain/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}

Accelerate the taskProduction

POST
/1.0/me/task/domain/{id}/accelerate

Path parameters

id
required
integer

Id

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/task/domain/{id}/accelerate \
  -H "authorization: Bearer $OVH_TOKEN"

List of argumentsProduction

GET
/1.0/me/task/domain/{id}/argument

Path parameters

id
required
integer

Id

Response

200string[]successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/task/domain/{id}/argument \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get this object propertiesProduction

GET
/1.0/me/task/domain/{id}/argument/{key}

Path parameters

id
required
integer

Id

key
required
string

Key

Response

200DomainTaskArgumentsuccessful operation
acceptedFormats
read-only
DocumentFormatsEnum[]

List of accepted formats

Valuesgifjpegjpgpdfpng
acceptedValues
read-only
string[]

List of accepted values

description
read-only
string

Description of the argument

fields
read-only
ContactFieldEnum[]

List of impacted field names

Valuesaddress.cityaddress.countryaddress.line1address.line2address.line3address.otherDetailsaddress.provinceaddress.zipbirthCitybirthCountrybirthDaybirthZipcellPhonecompanyNationalIdentificationNumberemailfaxfirstNamegenderlanguagelastNamelegalFormnationalIdentificationNumbernationalityorganisationNameorganisationTypephonespareEmailvat
key
read-only
string

Key of the argument

maximumSize
read-only
integer

Maximum of the content length that you can send

minimumSize
read-only
integer

Minimum of the content length that you can send

readOnly
read-only
boolean

True if the argument is in read only

template
read-only
string

Template of the content

type
read-only
string

Type of the argument

value
string

Value of the argument

Example uses id = 0, key = string

$ curl https://api.eu.ovhcloud.com/1.0/me/task/domain/{id}/argument/{key} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "acceptedFormats": [ "gif" ], "acceptedValues": [ "string" ], "description": "string", "fields": [ "address.city" ], "key": "string", "maximumSize": 0, "minimumSize": 0, "readOnly": true, "template": "string", "type": "string", "value": "string"}

Alter this object propertiesProduction

PUT
/1.0/me/task/domain/{id}/argument/{key}

Path parameters

id
required
integer

Id

key
required
string

Key

Request body (required)

acceptedFormats
read-only
DocumentFormatsEnum[]

List of accepted formats

Valuesgifjpegjpgpdfpng
acceptedValues
read-only
string[]

List of accepted values

description
read-only
string

Description of the argument

fields
read-only
ContactFieldEnum[]

List of impacted field names

Valuesaddress.cityaddress.countryaddress.line1address.line2address.line3address.otherDetailsaddress.provinceaddress.zipbirthCitybirthCountrybirthDaybirthZipcellPhonecompanyNationalIdentificationNumberemailfaxfirstNamegenderlanguagelastNamelegalFormnationalIdentificationNumbernationalityorganisationNameorganisationTypephonespareEmailvat
key
read-only
string

Key of the argument

maximumSize
read-only
integer

Maximum of the content length that you can send

minimumSize
read-only
integer

Minimum of the content length that you can send

readOnly
read-only
boolean

True if the argument is in read only

template
read-only
string

Template of the content

type
read-only
string

Type of the argument

value
string

Value of the argument

Response

200—successful operation

Example uses id = 0, key = string

$ curl https://api.eu.ovhcloud.com/1.0/me/task/domain/{id}/argument/{key} \
  -H "authorization: Bearer $OVH_TOKEN"

Cancel the taskProduction

POST
/1.0/me/task/domain/{id}/cancel

Path parameters

id
required
integer

Id

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/task/domain/{id}/cancel \
  -H "authorization: Bearer $OVH_TOKEN"

Show progress of a taskProduction

GET
/1.0/me/task/domain/{id}/progressbar

Path parameters

id
required
integer

Id

Response

200DomainTaskProgressBarsuccessful operation
currentStep
read-only
OperationStep

Current step of the operation

expectedDoneDate
read-only
stringdate-time

The estimated end date of the task

followUpSteps
read-only
OperationStep[]

All the steps of the operation

lastUpdateDate
read-only
stringdate-time

The last update date of the task

progress
read-only
integer

Progress percentage of the task

taskActions
read-only
OperationActionEnum[]

Action possible on task

ValuescanCancelcanCorrectcanRelaunchcanReset
taskStatus
read-only
OperationStatusEnum

The status of the task

Valuescancelleddoingdoneerrorproblemtodo

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/task/domain/{id}/progressbar \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "currentStep": { "description": "string", "executionDuration": 0, "step": "string" }, "expectedDoneDate": "2024-01-01T12:00:00Z", "followUpSteps": [ { "description": "string", "executionDuration": 0, "step": "string" } ], "lastUpdateDate": "2024-01-01T12:00:00Z", "progress": 0, "taskActions": [ "canCancel" ], "taskStatus": "cancelled"}

Relaunch the taskProduction

POST
/1.0/me/task/domain/{id}/relaunch

Path parameters

id
required
integer

Id

Response

200—successful operation

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/task/domain/{id}/relaunch \
  -H "authorization: Bearer $OVH_TOKEN"